CLNGAM(3)

SYNOPSIS
COMPLEX FUNCTION CLNGAM (ZIN)

NAME
clngam - Compute the logarithm of the absolute value of the Gamma function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7A

TYPE
COMPLEX (ALNGAM-S, DLNGAM-D, CLNGAM-C)

KEYWORDS
ABSOLUTE VALUE, COMPLETE GAMMA FUNCTION, FNLIB, LOGARITHM, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
CLNGAM computes the natural log of the complex valued gamma function at ZIN, where ZIN is a complex number. This is a preliminary version, which is not accurate.

REFERENCES
(NONE)

ROUTINES CALLED
C9LGMC, CARG, CLNREL, R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
780401 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)